Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155287 - DocBook documentation is not compiled
Summary: DocBook documentation is not compiled
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-18 19:41 UTC by Matthew Booth
Modified: 2012-06-20 13:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 13:33:39 UTC


Attachments (Terms of Use)

Description Matthew Booth 2005-04-18 19:41:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.6) Gecko/20050322 Firefox/1.0.2 Red Hat/1.0.2-1.4.1

Description of problem:
The sgml files in /usr/share/doc/kernel-doc-2.6.9/Documentation/DocBook are not compiled. They should be.

Version-Release number of selected component (if applicable):
kernel-doc-2.6.9-5.0.3.EL

How reproducible:
Always

Steps to Reproduce:
1. Install kernel-doc-2.6.9-5.0.3.EL
2. Try to read /usr/share/doc/kernel-doc-2.6.9/Documentation/DocBook/procfs-guide.tmpl
  

Actual Results:  Angst

Expected Results:  Browser based visual pleasure

Additional info:

Comment 1 Dave Jones 2005-04-21 23:07:50 UTC
this sounds like a simple request, but its opening the gates to all sorts of
issues.  You can guarantee that soon after doing this, we'd get requests for us
to build the pdf version, and the .ps version too.  The build dependancies for
all this would also be hurrendous, and add considerable time to the buildtime
for each kernel.

Leaving them in the sgml format where they can be generated to whatever form the
user wants is probably for the best. However right now, its not possible to
generate them from the standalone kernel-doc tree.

I've no idea how much work is involved in making that stuff build standalone,
but this is probably going to be pretty low priority, and unless there's a
considerable demand for it, it probably won't get done any time soon.

reassigning to pm as its essentially a feature request.


Comment 2 Jiri Pallich 2012-06-20 13:33:39 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.